Package com.google.android.exoplayer2.upstream

## Class AssetDataSource.AssetDataSourceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.google.android.exoplayer2.upstream.DataSourceException
        - - com.google.android.exoplayer2.upstream.AssetDataSource.AssetDataSourceException

- All Implemented Interfaces:
    `Serializable`
  Enclosing class:
    AssetDataSource

      public static final class AssetDataSource.AssetDataSourceException
      extends DataSourceException

  Thrown when an `IOException` is encountered reading a local asset.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.google.android.exoplayer2.upstream.DataSourceException

      `POSITION_OUT_OF_RANGE, reason`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AssetDataSourceException​(IOException cause)` | Deprecated. Use `AssetDataSourceException(Throwable, int)`.
    `AssetDataSourceException​(Throwable cause, int errorCode)` | Creates a new instance.

  - ### Method Summary

    - ### Methods inherited from class com.google.android.exoplayer2.upstream.DataSourceException

      `isCausedByPositionOutOfRange`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AssetDataSourceException

          @Deprecated
          public AssetDataSourceException​(IOException cause)

      Deprecated.
      Use `AssetDataSourceException(Throwable, int)`.

    - #### AssetDataSourceException

          public AssetDataSourceException​(@Nullable
                                          Throwable cause,
                                          @ErrorCode
                                          int errorCode)

      Creates a new instance.
      Parameters:
        `cause` - The error cause.
        `errorCode` - See `PlaybackException.ErrorCode`.